:root {
	--color-black: #292d32;
	--color-white: #ffffff;
	--color-grey: #a0a0a0;
	--color-grey-light: #e6e6e6;
	--color-blue: #3c599b;
	--color-red: #f54748;
	--color-red-light: #fa9797;
	--color-orange: #fd762f;

	--container: 1920px;
	--container-padding: 15px;
	--container-margin: calc((100% - var(--container)) / 2);
	--col: calc(var(--container) / 12);

	--header-height: 95px;
	--cart-bar-height: 0px;

	--module-padding: 25px;
	--module-header-margin: 25px;

	--hover-opacity: 0.8;
	--transition-25: 0.25s;
	--pr: 0px;
	--font-main: 'Gilroy', sans-serif;
	--font-sec: 'Gotham Pro', sans-serif;
}

*,
*::before,
*::after {
	box-sizing: border-box;
}

* {
	-webkit-tap-highlight-color: transparent;
}

::-moz-selection {
	background: var(--color-red-light);
	color: var(--color-white);
}
::selection {
	background: var(--color-red-light);
	color: var(--color-white);
}

:focus-visible {
	outline: 1px solid var(--color-black);
}
:focus,
:focus-visible {
	outline: none;
}
@media (max-width: 992px) {
	:focus,
	:focus-visible {
		outline: none;
	}
}

html,
body {
	height: 100%;
}

body {
	font-family: var(--font-main);
	font-size: 14px;
	font-weight: 400;
	line-height: 1.2;
	padding-right: var(--pr);
	color: var(--color-black);
	background: var(--color-white);
}

picture img {
	display: block;
}

img {
	max-width: 100%;
	height: auto;
	vertical-align: middle;
}

a,
button:not(:disabled) {
	cursor: pointer;
}

a,
button,
svg {
	transition: var(--transition-25);
}

button {
	color: var(--color-black);
}

svg:focus {
	outline: none;
}

a {
	color: var(--color-black);
	text-decoration: none;
}

a,
a:focus {
	color: var(--color-black);
}
@media (min-width: 768px) {
	a:hover {
		color: var(--color-red);
		text-decoration: none;
	}
}

p {
	margin: 0;
}

input.dates-time__hours::-webkit-outer-spin-button,
input.dates-time__hours::-webkit-inner-spin-button,
input.dates-time__minutes::-webkit-outer-spin-button,
input.dates-time__minutes::-webkit-inner-spin-button {
	opacity: 1;
}

input:not(.dates-time__hours):not(.dates-time__minutes)::-webkit-outer-spin-button,
input:not(.dates-time__hours):not(.dates-time__minutes)::-webkit-inner-spin-button {
	margin: 0;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}

input:not(.dates-time__hours):not(.dates-time__minutes)[type='number'] {
	-webkit-appearance: textfield;
	-moz-appearance: textfield;
	appearance: textfield;
}

select {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}

.minicart-scroll::-webkit-scrollbar,
.description-sroll .html-wrap__outer::-webkit-scrollbar,
.ingredients-info__table::-webkit-scrollbar,
.simplecheckout__scroll::-webkit-scrollbar {
	width: 0px;
}

@media (max-width: 1199px) {
	:root {
		--header-height: 67px;
		--hover-opacity: 1;
		--cart-bar-height: 55px;
	}
}

@media (max-width: 767px) {
	:root {
		--module-padding: 18px;
		--module-header-margin: 15px;
	}
}
